import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.Scanner;

public class Pirma {
	
	    /*
	    * Martynas Narijauskas, programa parodanti sios savaits dienos(pvz pirmadienio) pasikartojima kalendoriuje
	    */

    private Calendar getDestinationDate(){
        Calendar destinationDate;
        System.out.println("Iveskite data(YYYY-MM-D) formatu");
        String metai;
     
        Scanner in = new Scanner(System.in);   
        metai = (in.next());
        in.close(); 
      
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        destinationDate = Calendar.getInstance();
   
        try{
            Date duotaData = sdf.parse(metai); 
            destinationDate.setTime(duotaData);
        } catch(ParseException e){
                System.out.println("Blogai ivesta data");      
        }
		
	    return destinationDate;
	}

    private ArrayList<Calendar> getWeekdays(Calendar destinationDate){
        ArrayList<Calendar> weekDays = new ArrayList<Calendar>();
        Calendar currentCal = Calendar.getInstance();
        boolean runningAfter = (destinationDate.after(currentCal));
        boolean runningBefore = (destinationDate.before(currentCal));
		Calendar temp;
        while(runningAfter!=runningBefore ){
                temp = Calendar.getInstance();
                temp.setTime(currentCal.getTime());
                weekDays.add(temp);
                if(runningAfter==true){
                    currentCal.add(Calendar.DATE, 7);
                }
                else{
                	currentCal.add(Calendar.DATE, -7);
                	
                }
                runningAfter=destinationDate.after(currentCal);
	        }
		
	
        return weekDays;
}


    private void printDays(ArrayList<Calendar> calendarDates){
        int menuo = calendarDates.get(0).get(Calendar.MONTH)+1;
        int kitasMen;
        System.out.print(calendarDates.get(0).get(Calendar.YEAR)+ "-");
	
       System.out.print(calendarDates.get(0).get(Calendar.MONTH)+1 + ":"); 
       System.out.print(calendarDates.get(0).get(Calendar.DAY_OF_MONTH) + " ");
       for(int i=1; i<calendarDates.size(); i++){
    	    kitasMen = calendarDates.get(i).get(Calendar.MONTH)+1;
    	    if(menuo == kitasMen){
    	        System.out.print(calendarDates.get(i).get(Calendar.DAY_OF_MONTH) + " ");
		 }
    	    else{
    	        System.out.println("");
    	        System.out.print(calendarDates.get(i).get(Calendar.YEAR) + "-");
    	        System.out.print(calendarDates.get(i).get(Calendar.MONTH)+1 + ":");
    	        System.out.print(calendarDates.get(i).get(Calendar.DAY_OF_MONTH)+ " ");
    	        menuo = calendarDates.get(i).get(Calendar.MONTH)+1;
		     }
	    }
	    
	}

    
    public static void main(String[] args) {
        Pirma pirma = new Pirma();
        Calendar destinationDate = pirma.getDestinationDate();
        ArrayList<Calendar> calendarDates = pirma.getWeekdays(destinationDate);
        pirma.printDays(calendarDates);

    }
}